PUT api/v1/SubscriptionOrders/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

SubscriptionOrder
NameDescriptionTypeAdditional information
Id

integer

None.

MotherId

integer

None.

PlanId

integer

None.

ProviderSettingId

integer

None.

Provider

byte

None.

OrderRef

string

None.

PaymentRef

string

None.

Amount

decimal number

None.

Currency

string

None.

Status

byte

None.

PaidAt

date

None.

CreatedAt

date

None.

UpdatedAt

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": 1,
  "motherId": 2,
  "planId": 3,
  "providerSettingId": 1,
  "provider": 64,
  "orderRef": "sample string 5",
  "paymentRef": "sample string 6",
  "amount": 7.0,
  "currency": "sample string 8",
  "status": 64,
  "paidAt": "2026-04-18T15:05:26.0858969+03:00",
  "createdAt": "2026-04-18T15:05:26.0858969+03:00",
  "updatedAt": "2026-04-18T15:05:26.0858969+03:00"
}

application/xml, text/xml

Sample:
<SubscriptionOrder xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase">
  <Amount>7</Amount>
  <CreatedAt>2026-04-18T15:05:26.0858969+03:00</CreatedAt>
  <Currency>sample string 8</Currency>
  <Id>1</Id>
  <MotherId>2</MotherId>
  <OrderRef>sample string 5</OrderRef>
  <PaidAt>2026-04-18T15:05:26.0858969+03:00</PaidAt>
  <PaymentRef>sample string 6</PaymentRef>
  <PlanId>3</PlanId>
  <Provider>64</Provider>
  <ProviderSettingId>1</ProviderSettingId>
  <Status>64</Status>
  <UpdatedAt>2026-04-18T15:05:26.0858969+03:00</UpdatedAt>
</SubscriptionOrder>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.